/* Fitxer: DumpMethods.java
   Descripci: Facilita el llistat de tots els mtodes d'una classe que cal indicar en executar 
               el programa
   Autor: Glen McCluskey - Article "Using Java Reflection"
          Documentaci de Java referent a "Reflection"
*/
import java.lang.reflect.*;
 
public class DumpMethods 
{
   public static void main(String args[])
   {
      try 
      {
         Class c = Class.forName(args[0]);
         Method m[] = c.getDeclaredMethods();
         for (int i = 0; i < m.length; i++)
         System.out.println(m[i].toString());
      }
      catch (Throwable e) 
      {
         System.err.println(e);
      }
   }
}
