/* Fitxer: HashtablePersones.java
   Descripci: Exemple d'utilitzaci de la classe Hashtable
   Autor: Isidre Guix
*/

import java.util.Hashtable;
import java.util.Enumeration;

class HashtablePersones extends Hashtable<String,Persona>
{
   public static void main (String args[])
   {
      HashtablePersones htp = new HashtablePersones();
      Alumne a;
      Enumeration<Persona> ep;
      Enumeration<String> es;
      String dni;
      
      a = new Alumne("99999999","Anna",20);
      htp.put(a.getDni(), a);
      a = new Alumne("00000000","Pep",33,'m');
      htp.put(a.getDni(), a);
      a = new Alumne("55555555","Teresa",30,'S');
      htp.put(a.getDni(), a);
      a = new Alumne("22222222","Maria",40,'s');
      htp.put(a.getDni(), a);
      a = new Alumne("66666666","ngel",22);
      htp.put(a.getDni(), a);
      a = new Alumne("11111111","Joanna",25,'M');
      htp.put(a.getDni(), a);
      a = new Alumne("55555555","Maria Teresa",30,'S');
      htp.put(a.getDni(), a);
      
      System.out.println("Contingut de la Hashtable via enumeracions:");
      ep = htp.elements();
      es = htp.keys();
      while (es.hasMoreElements())
         System.out.println (es.nextElement() + " >>> " + ep.nextElement());
      
      System.out.println();
      System.out.println("Contingut de la Hashtable cridant el mtode toString:");
      System.out.println(htp);
      
      System.out.println();
      System.out.println("Efectuem alguna recerca de persones per la clau \"dni\":");
      dni = "66666666";
      System.out.println("Dni : " + dni + " >>> " + htp.get(dni));
      dni = "6666";
      System.out.println("Dni : " + dni + " >>> " + htp.get(dni));
   }
}