/* Fitxer: Excepcio11.java
   Descripci: Exemple d'excepci creada pel programador
   Autor: Isidre Guix
*/

public class Excepcio11
{
   public static void main (String args[])
   {
      try
      {
         provocoExcepcio(0);
         provocoExcepcio(10);
      }
      catch (LaMevaExcepcio e)
      {
         e.printStackTrace();
      }
      System.out.println ("El programa finalitza correctament");
   }
   
   public static void provocoExcepcio(int valor) throws LaMevaExcepcio
   {
      System.out.println ("Valor: " + valor);
      if (valor!=0) throw new LaMevaExcepcio (valor);
      System.out.println ("No s'ha provocat l'excepci.");
   }
}

class LaMevaExcepcio extends Exception
{
   private Integer valor;
   
   public LaMevaExcepcio (int xxx)
   {
      valor = new Integer(xxx);
   }
   
   public String toString ()
   {
      return "Exception LaMevaExcepcio: Error motivat per valor = " + valor.toString();
   }
}