/* Fitxer: Field2.java
   Descripci: Exemple de la reflexi per modificar les dades d'objectes
   Autor: Glen McCluskey - Article "Using Java Reflection"
          Documentaci de Java referent a "Reflection"
*/
import java.lang.reflect.*;
     
public class Field2
{
   public double d;
   
   public static void main(String args[])
   {
      try 
      {
         Class cls = Class.forName("Field2");
         Field fld = cls.getField("d");
         Field2 f2obj = new Field2();
         System.out.println("d = " + f2obj.d);
         fld.setDouble(f2obj, 12.34);
         System.out.println("d = " + f2obj.d);
      }
      catch (Throwable e) 
      {
         System.err.println(e);
      }
   }
}
